RPM Community Forums

Mailing List Message of <popt-devel>

popt : Request to spin up a new version of popt with ppc64le support.

From: Chandan <chandand@linux.vnet.ibm.com>
Date: Thu 02 Jan 2014 - 12:37:53 CET
Message-ID: <1388662673.3960.3.camel@localhost.localdomain>
Hi

We are adding support for new ppc64le (IBM powerPC Little Endian)
architecture as part of which we are looking at all the packages that
need update.
I was looking at “popt” (from repo:cvs
-d:pserver:anonymous@rpm5.org:/cvs co popt and popt-1.16 as well ) and
was failed to build “popt” on ppc64le machine because of outdated
libtool.

We have worked with libtool maintainer to get alpha source release that
has all the needed bits to support building on ppc64le. A stable release
is expected soon.

You can pick up the libtool alpha source release from either of the
below :
ftp://alpha.gnu.org/gnu/libtool/libtool-2.4.2.418.tar.gz   (1.6MB)
ftp://alpha.gnu.org/gnu/libtool/libtool-2.4.2.418.tar.xz   (920KB)

Would it be possible for you to spin up a newer version of
"popt" which would support ppc64le? by using alpha libtool
release?

I can help to validate the new release of the "popt" works
well by compiling on ppc64le machine.

Appreciate your response.

Thanks,
Chandan
Received on Thu Jan 2 13:15:15 2014
Driven by Jeff Johnson and the RPM project team.
Hosted by OpenPKG and Ralf S. Engelschall.
Powered by FreeBSD and OpenPKG.